summaryrefslogtreecommitdiffstats
path: root/misc/iscan-firmware/iscan-firmware.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/iscan-firmware/iscan-firmware.SlackBuild')
-rw-r--r--misc/iscan-firmware/iscan-firmware.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/misc/iscan-firmware/iscan-firmware.SlackBuild b/misc/iscan-firmware/iscan-firmware.SlackBuild
new file mode 100644
index 0000000000..d73ca814e8
--- /dev/null
+++ b/misc/iscan-firmware/iscan-firmware.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for iscan-firmware
+
+# Copyright 2006-2010 Manuel Reimer <manuel.reimer@gmx.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=iscan-firmware
+VERSION=2.8.0.1
+RPMBUILD=72.1.1 # <-- This is the build number used by OpenSuSE in their RPM
+ARCH=noarch
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+rpm2cpio $CWD/$PRGNAM-$VERSION-$RPMBUILD.noarch.rpm | cpio -imdv
+#chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+cd usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# All license files are in the directory of the "iscan-plugin-gt-f520-1.0.0"
+# and we only need them once
+cp -a doc/packages/iscan-firmware/iscan-plugin-gt-f520-1.0.0/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README.Slackware > $PKG/usr/doc/$PRGNAM-$VERSION/README.Slackware
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/iscan
+cp -a iscan/* $PKG/usr/share/iscan
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}